package de.ivu.elect.business.system.control.files.cleaner;

import java.io.File;
import java.util.List;

public interface FileCleaner<T> {

  boolean isDirtyFilePresent(File verzeichnis) throws Exception;

  void bereinige(File verzeichnis, FileCleanerBucket<T> bucket) throws Exception;

  String getName();

  List<FileCleanerBucket<T>> getBuckets(File verzeichnis) throws Exception;

}
